Edgewall Software
Modify

Opened 8 years ago

Closed 7 years ago

Last modified 2 years ago

#10204 closed defect (cantfix)

DataError: integer out of range

Reported by: astro@… Owned by:
Priority: normal Milestone:
Component: general Version: 0.12.2
Severity: normal Keywords:
Cc: Branch:
Release Notes:
API Changes:

Description

How to Reproduce

While doing a POST operation on /milestone/frbl_collector, Trac issued an internal error.

(please provide additional details here)

Request parameters:

{'__FORM_TOKEN': u'892777b049fd7b5ca1cf0113',
 'action': u'edit',
 'completed': u'on',
 'completeddate': u'06/01/11 17:10:05',
 'description': u'Realize collector by Java platform.',
 'due': u'on',
 'duedate': u'06/15/11 18:00:00',
 'id': u'frbl_collector',
 'name': u'frbl_collector'}

User agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US) AppleWebKit/534.3 (KHTML, like Gecko) Chrome/6.0.472.63 Safari/534.3

System Information

Trac 0.12.2
Babel 0.9.6
Genshi 0.6
mod_wsgi 2.8 (WSGIProcessGroup WSGIApplicationGroup %{GLOBAL})
psycopg2 2.4
Python 2.7.1 (r271:86832, May 26 2011, 12:51:02)
[GCC 4.2.1 20070719 [FreeBSD]]
pytz 2011c
setuptools 0.6c11
Subversion 1.6.16 (r1073529)
jQuery 1.4.2

Enabled Plugins

timingandestimationplugin 1.0.8b
TracBurndown 1.9.2

Python Traceback

Traceback (most recent call last):
  File "build/bdist.freebsd-8.2-RELEASE-p1-i386/egg/trac/web/main.py", line 511, in _dispatch_request
    dispatcher.dispatch(req)
  File "build/bdist.freebsd-8.2-RELEASE-p1-i386/egg/trac/web/main.py", line 237, in dispatch
    resp = chosen_handler.process_request(req)
  File "build/bdist.freebsd-8.2-RELEASE-p1-i386/egg/trac/ticket/roadmap.py", line 595, in process_request
    return self._do_save(req, db, milestone)
  File "build/bdist.freebsd-8.2-RELEASE-p1-i386/egg/trac/ticket/roadmap.py", line 681, in _do_save
    milestone.update()
  File "build/bdist.freebsd-8.2-RELEASE-p1-i386/egg/trac/ticket/model.py", line 1008, in update
    @self.env.with_transaction(db)
  File "build/bdist.freebsd-8.2-RELEASE-p1-i386/egg/trac/db/api.py", line 77, in transaction_wrapper
    fn(ldb)
  File "build/bdist.freebsd-8.2-RELEASE-p1-i386/egg/trac/ticket/model.py", line 1018, in do_update
    self.description, old_name))
  File "build/bdist.freebsd-8.2-RELEASE-p1-i386/egg/trac/db/util.py", line 65, in execute
    return self.cursor.execute(sql_escape_percent(sql), args)
DataError: integer out of range

Attachments (0)

Change History (3)

comment:1 by Christian Boos, 8 years ago

Keywords: needinfo added

Please first try to reproduce the issue when all plugins are disabled. If after that the problem is gone, reintroduce the plugins one by one until you identify the culprit.

Otherwise, if the problem still happens with core Trac, then it must be psycopg 2.4 which has trouble with bigints? (maybe on FreeBSD only?)

comment:2 by Christian Boos, 7 years ago

Resolution: cantfix
Status: newclosed

no feedback, closing

comment:3 by Jun Omae, 2 years ago

Keywords: needinfo removed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.
to as closed The owner will be changed from (none) to the specified user.

Add Comment


E-mail address and name can be saved in the Preferences .
 
Note: See TracTickets for help on using tickets.